package com.qmth.distributed.print.business.bean.params.analyze;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * @Description: 教研分析批次参数
 * @Author: CaoZixuan
 * @Date: 2022-05-24
 */
public class GradeBatchParam {
    @ApiModelProperty(value = "批次id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "学期id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "请选择学期")
    @Range(min = 1L, message = "请选择学期")
    private Long semesterId;

    @ApiModelProperty(value = "批次名称")
    @NotNull(message = "请输入批次名称")
    private String batchName;

    @ApiModelProperty(value = "批次时刻")
//    @NotNull(message = "请选择批次时刻")
//    @Range(min = 1L, message = "请选择批次时刻")
    private Long batchTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public Long getBatchTime() {
        return batchTime;
    }

    public void setBatchTime(Long batchTime) {
        this.batchTime = batchTime;
    }
}
